> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Reorder Categories



## OpenAPI

````yaml /openapi.json patch /v1/workspaces/{workspaceId}/categories/reorder
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/categories/reorder:
    patch:
      tags:
        - Workspace Categories
      summary: Reorder Categories
      operationId: WorkspaceCategoriesController_reorderCategories_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
            pattern: ^\d+$
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ReorderWorkspaceCategoriesDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CategoryOrderRevisionResponseDto'
components:
  schemas:
    ReorderWorkspaceCategoriesDto:
      type: object
      properties:
        expectedRevision:
          type: number
          minimum: 1
        categoryIds:
          uniqueItems: true
          type: array
          items:
            type: string
      required:
        - expectedRevision
        - categoryIds
    CategoryOrderRevisionResponseDto:
      type: object
      properties:
        revision:
          type: number
      required:
        - revision

````